---
title: CSSUnitValue.value
slug: Web/API/CSSUnitValue/value
tags:
  - API
  - CSS Typed Object Model API
  - CSSUnitValue
  - Experimental
  - Houdini
  - Property
  - Reference
  - value
---
<div>{{draft}}{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</div>

<p class="summary">The <strong><code>CSSUnitValue.value</code></strong> property of the {{domxref("CSSUnitValue")}} interface returns a double indicating the number of units.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>cssUnitValue</em> = CSSUnitValue.value;
CSSUnitValue.value = <var>cssUnitValue</var>;</pre>

<h3 id="Value">Value</h3>

<p>A double.</p>

<h2 id="Examples">Examples</h2>

<p>The following creates a {{domxref('CSSPositionValue')}} from individual <code>CSSUnitValue</code> constructors, then queries the <code>CSSUnitValue.value</code>.</p>

<pre class="brush: js">let pos = new CSSPositionValue(
    new CSSUnitValue( 5, "px" ),
    new CSSUnitValue( 10, "px" ));

console.log( pos.x.value ); // 5
console.log( pos.y.value ); // 10
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('CSS Typed OM','#dom-cssunitvalue-value','CSSUnitValue.value')}}</td>
			<td>{{Spec2('CSS Typed OM')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSUnitValue.value")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
	<li>{{domxref('CSSUnitValue.unit')}}</li>
	<li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API/Guide">Using the CSS Typed OM</a></li>
	<li><a href="/en-US/docs/Web/API/CSS_Typed_OM_API">CSS Typed Object Model API</a></li>
</ul>
